Skip to content
Kong Api Library for Golang
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
fixtures
.gitignore
.travis.yml
CONTRIBUTING.md
Gopkg.lock
Gopkg.toml
LICENSE
Makefile
README.md
customer.go
customer_test.go
docker-compose.yml
kongo.go
kongo_test.go
node.go
node_test.go
route.go
route_test.go
service.go
service_test.go

README.md

Kongo

Build Status Coverage Status GoDoc Go Report Card License

Kong api library for Golang

Installation

Kongo requires Go 1.9 or later.

go get github.com/fabiorphp/kongo

If you want to get an specific version, please use the example below:

go get gopkg.in/fabiorphp/kongo.v0

Usage

package main

import (
    "github.com/fabiorphp/kongo"
)

func main() {
    kongo := kongo.New(nil, "127.0.0.1:8001")
    status, _, _ := kongo.Node.Status()
    ...
}

Documentation

Read the full documentation at https://godoc.org/github.com/fabiorphp/kongo.

Development

Requirements

Makefile

// Clean up
$ make clean

// Creates folders and download dependencies
$ make configure

//Run tests and generates html coverage file
make cover

// Download project dependencies
make depend

// Format all go files
make fmt

//Run linters
make lint

// Run tests
make test

License

This project is released under the MIT licence. See LICENSE for more details.

You can’t perform that action at this time.